#!/usr/bin/perl
#
# wardenWatchdog.pl
#
# Copyright (C) 2011-2012 Cesnet z.s.p.o
#
# Use of this source is governed by a BSD-style license, see LICENSE file.

use strict;
use warnings;


use Getopt::Long;
use FindBin;
FindBin::again();

use lib "$FindBin::Bin";
use WardenWatchdog;

sub help {
  my $help ="  USAGE: ./wardenWatchdog.pl -c '/path/WardenWatchdog.conf' -i 7

  OPTIONS
  -c conf           configuration file name and path
  -i interval       interval in days from now back to the past
";
  print $help;
  return 1;
}

my ($help, $config, $interval);
if (@ARGV < 3  || defined($help) || !GetOptions('help|?|h' => \$help, 'c|conf=s' => \$config, 'i|interval=i' => \$interval)){
  help();
}
else{
  my ($rc,$err) = WardenWatchdog::run($config,$interval);
  if(!$rc){
    print "WardenWatchdog error: $err";
  }
}

1;
